Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class AbstractMouseTransformFactory.InvalidMouseTransform

    java.lang.Object
      jpicedt.graphic.toolkit.AbstractMouseTransformFactory.InvalidMouseTransform

All Implemented Interfaces:
  MouseTransform

Enclosing class:
  AbstractMouseTransformFactory

protected class AbstractMouseTransformFactory.InvalidMouseTransform
extends Object
implements MouseTransform

This mouse transform does nothing, it simply returns an invalid cursor, and can be used by MouseTransform factories to notify the user of an invalid UI action.

Since:
  jpicedt 1.3.2

Constructor Summary
`protected` | `AbstractMouseTransformFactory.InvalidMouseTransform()`

Method Summary
`Cursor` | `getCursor()` Return the cursor for this MouseTransform
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called when the mouse is released
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Allows the MouseTransform to do specific graphic rendering when it's operating.
`void` | `process(PEMouseEvent e)` Called when the mouse is dragged.
`void` | `start(PEMouseEvent e)` Called when the mouse is pressed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMouseTransformFactory.InvalidMouseTransform

    protected AbstractMouseTransformFactory.InvalidMouseTransform()

Method Detail

### start

    public void start(PEMouseEvent e)

  Called when the mouse is pressed. The transform should do the initialization work here.

  Specified by:
    `start` in interface `MouseTransform`
  Since:
    jpicedt 1.3.2

### process

    public void process(PEMouseEvent e)

  Called when the mouse is dragged. Element geometry update should occur here.

  Specified by:
    `process` in interface `MouseTransform`
  Since:
    jpicedt 1.3.2

### next

    public boolean next(PEMouseEvent e)

  Called when the mouse is released

  Specified by:
    `next` in interface `MouseTransform`
  Returns:
    true if there's another task in the sequence, false if mouse-transform has completed with this mouse-event.
  Since:
    jpicedt 1.3.2

### getCursor

    public Cursor getCursor()

  Description copied from interface: `MouseTransform`
  Return the cursor for this MouseTransform

  Specified by:
    `getCursor` in interface `MouseTransform`
  Returns:
    the cursor for this MouseTransform
  Since:
    jpicedt 1.3.2

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Allows the MouseTransform to do specific graphic rendering when it's operating.

  Specified by:
    `paint` in interface `MouseTransform`
  Since:
    jpicedt 1.3.2

### getHelpMessage

    public String getHelpMessage()

  Description copied from interface: `MouseTransform`
  Return a help-message for the UI, that makes sense with this transform.

  Specified by:
    `getHelpMessage` in interface `MouseTransform`
  Returns:
    a help-message for the UI, that makes sense with this transform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org